<?php
namespace Zeedhi\ReportWebService\SpreadSheet;

/**
 * The main controller on the webservice.
 */
interface SpreadsheetWriter {

    /**
     * Create a xslx file.
     *
     * @param $gridData array Columns names at first position and all rows.
     * @param $metaData array The columns configs.
     *
     * @return array Rows with primary key columns values.
     */
    public function generateXLS($gridData, $metaData);
}